%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate minus

Name:           rust-minus
Version:        5.6.1
Release:    1%{?dist}
Summary:        Asynchronous data feedable terminal paging library for Rust

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/minus
Source0:         %{crates_source}
Patch:          minus-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An asynchronous data feedable terminal paging library for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dynamic_output-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dynamic_output-devel %{_description}

This package contains library source intended for building other packages which
use the "dynamic_output" feature of the "%{crate}" crate.

%files       -n %{name}+dynamic_output-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+search-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+search-devel %{_description}

This package contains library source intended for building other packages which
use the "search" feature of the "%{crate}" crate.

%files       -n %{name}+search-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+static_output-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+static_output-devel %{_description}

This package contains library source intended for building other packages which
use the "static_output" feature of the "%{crate}" crate.

%files       -n %{name}+static_output-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -f dynamic_output,static_output
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.6.1-1
- initial build
